package com.gree.mall.manager.enums.repair.settle;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum CostTypeEnum implements BaseEnum{
    REDUCE_DAILY("REDUCE_DAILY","需扣回费用"),
    INCR_DECR_DAILY("INCR_DECR_DAILY","增减费用"),
    INSURANCE_DAILY("INSURANCE_DAILY","残保金"),
    EMP_RESIDUAL_DAILY("EMP_RESIDUAL_DAILY","单工伤保险"),

    ;


    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;




}